Updated in 2025.10 Cognigy.AI API and CLI are toolsets for developers to interact with Cognigy.AI. The API allows programmatic interaction and integration with existing systems. The CLI provides direct command-line access to manage AI Agents. Using both tools streamlines workflows, enhances productivity, and manages Cognigy.AI Projects efficiently.Documentation Index
Fetch the complete documentation index at: https://docs.cognigy.com/llms.txt
Use this file to discover all available pages before exploring further.
Limitations
- For Cognigy.AI 4.100 and earlier, you can download Snapshots up to 100 MB using the Cognigy.AI CLI. In later versions, there’s no maximum download size for Snapshots via the CLI.
Cognigy.AI API
For communication with the Cognigy.AI installation, the frontend uses an HTTP-based API. This API can also be used by developers to build custom integrations with Cognigy.AI. We also offer a library in the form of an NPM package called the “rest-api-client” which helps to lower the burden of consuming our APIs. This library is available on NPM and is written in modern JavaScript including Typescript definitions. Our OpenAPI DocumentationWhat are the API capabilities?
Any kind of information that is visible and any kind of action that can be performed in the frontend is queried or triggered through this API, which is 100% exposed for developers, too.The API Base URL
The API Base URL is the endpoint for accessing the Cognigy.AI OpenAPI. The table outlines the base URLs for different environments.| Environment | API Base URL |
|---|---|
| Trial (trial.cognigy.ai) | https://api-trial.cognigy.ai |
| SaaS | Choose the environment you use:
|
| On-premises | Specify the API URL as the value for the environment variable BACKEND_BASE_URL_WITH_PROTOCOL in your Cognigy.AI values.yaml file. |
| NiCE CXone Environments | Use the https://cognigy-api-<region>.nicecxone.com pattern, where <region> matches your NiCE CXone cluster. For example, https://cognigy-api-na1.nicecxone.com, https://cognigy-api-eu1.nicecxone.com. For a full list of available regions, refer to NiCE CXone Shared SaaS Clusters. |
Manage API Keys
An API key is used to authenticate to the Cognigy.AI API as a user in the system without exposing the user’s credentials. To generate an API key, read Create API Keys. To delete an API key, read Revoke API Keys.How do I use the API?
Cognigy API includes an OpenAPI documentation that outlines all the different API operations in detail. For example, for the Cognigy trial environment, accesshttps://api-trial.cognigy.ai/openapi, and for a NiCE CXone environment, access https://cognigy-api-<region>.nicecxone.com/openapi, such as https://cognigy-api-na1.nicecxone.com/openapi.
To do a call to the API, do an HTTP request and add either
- a query parameter
api_keywith your API key as value - a header
X-API-Keywith your API key set as value
https://api-dummy.cognigy.ai and I created myself an API key which reads myDummyApiKey123.
I can now open a new browser tab and go to https://api-dummy.cognigy.ai/projects?api_key=myDummyApiKey123 to get a list of all the projects that are assigned to me, including meta-information about the resources within that project.
This call, for example, is used by the frontend when you load the Main page.
Super API-Key
Most of the APIs in Cognigy.AI are agent-bound, meaning that a developer using our API can only request information from agents he actually has access to. There are certain use-cases where, for example, all Flows within a certain Organization should be listed. For such use-cases, we have introduced a feature called the “Super API-Key” with our 4.1.4 release.Feature availability
Feature availability
This feature is only available for on-premises customers with separate Cognigy.AI installations.This feature is, by default, disabled in all Cognigy.AI installations. Our on-premises customers can activate this feature by setting the following environment variable to “true”:This API-key is not bound to a specific user and lives within the scope of an Organization. It can be used to manipulate all assets and objects within the system.
Super API-Key and TTL
Super API-Key and TTL
This API-key has a default TTL (Time to Live) of 15 minutes for security reasons. Once the key has been created, it will only be valid for 15 minutes.